# PetscDrawGetMouseButton

Returns location of mouse and which button was pressed. Waits for button to be pressed.

### Synopsis

    #include "petscdraw.h"
    PetscErrorCode PETSC_DLLEXPORT PetscDrawGetMouseButton(PetscDraw draw,PetscDrawButton *button,PetscReal* x_user,PetscReal *y_user,PetscReal *x_phys,PetscReal *y_phys)

Not collective (Use PetscDrawSynchronizedGetMouseButton() for collective)

### Input Parameter

draw -the window to be used

### Output Parameters

| button | - one of BUTTON_LEFT, BUTTON_CENTER, BUTTON_RIGHT
| x_user, y_user | - user coordinates of location (user may pass in 0).
| x_phys, y_phys | - window coordinates (user may pass in 0).

### Notes

Only processor 0 of the communicator used to create the PetscDraw may call this routine.

### See Also

PetscDrawSynchronizedGetMouseButton()

Level:intermediate
Location: src/sys/draw/interface/dmouse.c
Index of all Draw routines
Table of Contents for all manual pages
Index of all manual pages